import { BehaviorSubject } from 'rxjs';
import { createModelDisposedError } from '../error';
export function createSentinelSubject(name, defaultValue) {
    var sub = new BehaviorSubject(defaultValue);
    sub.error(createModelDisposedError(name));
    return sub;
}
